INTERFACE
SUBROUTINE SCATRA_GEMS(PTAMOY,PTRAY,PTODAER,PTODRAY,PIZMOY,PRM,PGB,PXMUS,PXMUV,PBETAL,PPSL,&
 & PDDIRTT,PDDIFTT,PUDIRTT,PUDIFTT,PSPHALBT) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE RT6SVALUES
REAL(KIND=JPRB), INTENT(IN) :: PXMUS, PXMUV
REAL(KIND=JPRB), INTENT(IN) :: PTODAER, PTODRAY
REAL(KIND=JPRB), INTENT(IN) :: PTAMOY(0:KNT), PTRAY(0:KNT)
REAL(KIND=JPRB), INTENT(IN) :: PGB(-KMU:KMU)
REAL(KIND=JPRB), INTENT(IN) :: PIZMOY(0:KNT)
REAL(KIND=JPRB), INTENT(IN) :: PBETAL(0:KNT,0:KNANG)
REAL(KIND=JPRB), INTENT(IN) :: PPSL(0:KNANG,-1:KNANG,-KMU:KMU)
REAL(KIND=JPRB), INTENT(INOUT) :: PRM(-KMU:KMU)
REAL(KIND=JPRB), INTENT(OUT) :: PDDIRTT
REAL(KIND=JPRB), INTENT(OUT) :: PDDIFTT
REAL(KIND=JPRB), INTENT(OUT) :: PUDIRTT
REAL(KIND=JPRB), INTENT(OUT) :: PUDIFTT
REAL(KIND=JPRB), INTENT(OUT) :: PSPHALBT
END SUBROUTINE SCATRA_GEMS
END INTERFACE
